var MF = (function(){
	return {
		getCookie: function( name ) {
			var start = document.cookie.indexOf( name + "=" );
			var len = start + name.length + 1;
			if ( ( !start ) && ( name != document.cookie.substring( 0, name.length ) ) ) {
				return null;
			}
			if ( start == -1 ) return null;
			var end = document.cookie.indexOf( ';', len );
			if ( end == -1 ) end = document.cookie.length;
			return unescape( document.cookie.substring( len, end ) );
		},
                setCookie: function( name, value, expires, path, domain, secure ) {
			var today = new Date();
			today.setTime( today.getTime() );
			if ( expires ) {
				expires = expires * 1000 * 60 * 60 * 24;
			}
			var expires_date = new Date( today.getTime() + (expires) );
			document.cookie = name+'='+escape( value ) +
				( ( expires ) ? ';expires='+expires_date.toGMTString() : '' ) + //expires.toGMTString()
				( ( path ) ? ';path=' + path : '' ) +
				( ( domain ) ? ';domain=' + domain : '' ) +
				( ( secure ) ? ';secure' : '' );
		},
		deleteCookie: function( name, path, domain ) {
			if ( getCookie( name ) ) document.cookie = name + '=' +
				( ( path ) ? ';path=' + path : '') +
				( ( domain ) ? ';domain=' + domain : '' ) +
				';expires=Thu, 01-Jan-1970 00:00:01 GMT';
		},
		navSwitch: function(sw){
			var cookName = 'navOher';
			var oher = MF.getCookie(cookName);
			var ico = $('navOherSwitch');
			var content = $('navOherBlock');
			if(ico && content) {
				// set cookie
				if(sw == 1)
					if(oher == null || oher == 0) { MF.setCookie(cookName,1,1,'/','.mail.ru',false); oher = 1; }
					else if (oher == 1) { MF.setCookie(cookName,0,1, '/','.mail.ru',false); oher = 0; }
				// show/hide
				if(oher == null || oher == 0) {
					ico.className = 'mf_otherHide mf_otherHide_nav';
					content.hide();
				} else if (oher == 1) {
					ico.className = 'mf_otherShow mf_otherShow_nav';
					content.show();
				}
			}
		}
	}
})();
MF.navSwitch();
$(document).observe('booster:loaded', MF.navSwitch);
